# Tags
tag @s add superenchants.enchant_to
tag @e[predicate=superenchants:valid_book,tag=!superenchants.enchant_to,tag=!superenchants.enchant_from,distance=0.001..0.5,sort=nearest,limit=1] add superenchants.enchant_from

# Stores Enchantments into the Scoreboard
function superenchants:store_book_enchants

# Stores the other book's Enchantments into the Scoreboard
execute as @e[tag=superenchants.enchant_from,distance=0.001..0.5,sort=nearest,limit=1] run function superenchants:store_book_enchants

# Applies the highest levels, if the levels are equal, that level is increased by one
function superenchants:apply_to_book

# Score Resetting
function superenchants:reset_scores
execute as @e[tag=superenchants.enchant_from,distance=0.001..0.5,sort=nearest,limit=1] run function superenchants:reset_scores

# Kills the book that is being applied
kill @e[tag=superenchants.enchant_from,distance=0.001..0.5,sort=nearest,limit=1]

# Particles
function superenchants:effect

tag @s remove superenchants.enchant_to